Summary:	WWW server logfile analysis program
Name:		analog
Version:	6.0
Release:	1
License:	Distributable
Group:		Monitoring
URL:		http://www.analog.cx/
Source0:	http://www.analog.cx/%{name}-%{version}.tar.bz2
Patch0:		%{name}-5.21-htmlform.patch
Patch1:		%{name}-5.23-perlform.patch
Patch2:		%{name}-5.31-config.patch
Patch3:		%{name}-5.22-defaults.patch
Patch4:		%{name}-5.22-png.patch
Patch10:	%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	patch
BuildRequires:	bzip2 >= 1.0.2-4
BuildRequires:	freetype2-devel >= 2.3.12-1
BuildRequires:	gd-devel >= 2.0.35-5
BuildRequires:	libjpeg-devel >= 6b-7
BuildRequires:	libpng-devel >= 1.2.44-1
BuildRequires:	pcre-devel >= 7.9-2

Requires:	bzip2 >= 1.0.2-4
Requires:	freetype2 >= 2.3.12-1
Requires:	gd >= 2.0.35-5
Requires :	libjpeg >= 6b-7
Requires:	libpng >= 1.2.44-1
Requires:	pcre >= 7.9-2

%description
WWW server logfile analysis program with lots of features. Check the home page
at http://www.statslab.cam.ac.uk/~sret1/analog/ for more information. You
should edit the /etc/analog.cfg and customizer it for your webserver with the
HOSTNAME and HOSTURL options. Perl is required for the html forms interface.
Apache is suggested as the default web server.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch10


%build
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
cp %{name}.cfg ${RPM_BUILD_ROOT}%{_sysconfdir}/
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/*

mkdir -p ${RPM_BUILD_ROOT}/var/www/htdocs/images
mkdir -p ${RPM_BUILD_ROOT}/var/www/htdocs/%{name}/images
cp images/*.png ${RPM_BUILD_ROOT}/var/www/htdocs/images/
chmod 0644 ${RPM_BUILD_ROOT}/var/www/htdocs/images/*

mkdir -p ${RPM_BUILD_ROOT}/var/www/cgi-bin
cp anlgform.pl ${RPM_BUILD_ROOT}/var/www/cgi-bin/
chmod 0555 ${RPM_BUILD_ROOT}/var/www/cgi-bin/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
cp lang/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/*

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{name}.man ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cp anlgform.html ${RPM_BUILD_ROOT}/var/www/htdocs/
chmod 0644 ${RPM_BUILD_ROOT}/var/www/htdocs/anlgform.html

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc Licence.txt README.txt docs/ examples/
%config(noreplace) %{_sysconfdir}/%{name}.cfg
%{_bindir}/%{name}
%dir /var/www/htdocs/images
/var/www/cgi-bin/anlgform.pl
/var/www/htdocs/anlgform.html
/var/www/htdocs/images/*.png
%dir /var/www/htdocs/%{name}
%dir /var/www/htdocs/%{name}/images
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/*
/usr/bin/%{name}


%changelog
* Thu May 05 2011 Michael Perzl <michael@perzl.org> - 6.0-1
- first version for AIX V5.1 and higher
